Skip to main content
GET
/
v1
/
outbox
Get delivery status
curl --request GET \
  --url https://api.messages.dev/v1/outbox \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.messages.dev/v1/outbox"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.messages.dev/v1/outbox', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<string>",
  "line_id": "<string>",
  "payload": {},
  "completed_at": 123,
  "error": "<string>",
  "attempts": 123,
  "max_attempts": 123,
  "created_at": 123,
  "request_id": "<string>"
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "missing_required_parameter",
    "message": "The 'from' query parameter is required.",
    "param": "from"
  },
  "request_id": "req_abc123"
}
{
  "error": {
    "type": "authentication_error",
    "code": "missing_api_key",
    "message": "Missing Authorization header. Use 'Authorization: Bearer sk_live_...'"
  },
  "request_id": "req_abc123"
}
{
  "error": {
    "type": "not_found_error",
    "code": "line_not_found",
    "message": "Line not found.",
    "param": "from"
  },
  "request_id": "req_abc123"
}

Authorizations

Authorization
string
header
required

Use an API key as a bearer token: Authorization: Bearer sk_live_...

Each key has a set of scopes that gate which endpoints it can call: messages:read, messages:write, chats:read, lines:read, reactions:read, reactions:write, typing:read, typing:write, receipts:read, receipts:write, webhooks:read, webhooks:write, outbox:read, files:read, files:write. Keys can also be restricted to a subset of lines.

Query Parameters

id
string
required

Outbox item ID (prefixed with obx_)

Example:

"obx_abc123"

Response

Outbox item

id
string

Delivery ID (e.g. obx_abc123)

line_id
string
status
enum<string>
  • pending: queued for delivery
  • claimed: being processed
  • sent: delivered successfully
  • failed: delivery failed (see error field)
Available options:
pending,
claimed,
sent,
failed
payload
object

The original request payload

completed_at
number | null

Unix timestamp (ms) when delivery completed

error
string | null

Error message if delivery failed

attempts
number

Number of delivery attempts made

max_attempts
number

Maximum number of delivery attempts

created_at
number

Unix timestamp (ms) when the request was created

request_id
string